Check out the branch iterative_for_inversion and run the three scripts provided.
In run_marlin.py one can set the number of RHS in line 224-226 by simply setting range(1)
to the desired number of RHS (note that there is an upper limit).